Loading...
Searching...
No Matches
abis_nm_sw_desc Struct Reference
A-bis OML

3GPP TS 52.021 §9.4.62 SW Description More...

`#include <gsm_12_21.h>`

## Data Fields

uint8_t | file_id [UINT8_MAX]
uint8_t | file_id_len
uint8_t | file_version [UINT8_MAX]
uint8_t | file_version_len

## Detailed Description

3GPP TS 52.021 §9.4.62 SW Description

## Field Documentation

## file_id

uint8_t abis_nm_sw_desc::file_id[UINT8_MAX]

Referenced by abis_nm_get_sw_desc(), abis_nm_put_sw_desc(), and abis_nm_put_sw_file().

## file_id_len

uint8_t abis_nm_sw_desc::file_id_len

Referenced by abis_nm_get_sw_desc(), abis_nm_put_sw_desc(), abis_nm_put_sw_file(), and abis_nm_sw_desc_len().

## file_version

uint8_t abis_nm_sw_desc::file_version[UINT8_MAX]

Referenced by abis_nm_get_sw_desc(), abis_nm_put_sw_desc(), and abis_nm_put_sw_file().

## file_version_len

uint8_t abis_nm_sw_desc::file_version_len

Referenced by abis_nm_get_sw_desc(), abis_nm_put_sw_desc(), abis_nm_put_sw_file(), and abis_nm_sw_desc_len().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_12_21.h